Bug 1473712 - Review Request: perl-Alien-Base - Base classes for Alien:: Perl modules
Review Request: perl-Alien-Base - Base classes for Alien:: Perl modules
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1473705
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 09:32 EDT by Petr Pisar
Modified: 2017-08-17 09:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-17 09:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-21 09:32:22 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Alien-Base/perl-Alien-Base.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Alien-Base/perl-Alien-Base-0.042-1.fc27.src.rpm
Description:
Alien::Base is a Perl base class and framework for creating Alien
distributions. The goal of the project is to make things as simple and easy
as possible for both developers and users of Alien modules.

Alien is a Perl name space for defining dependencies in CPAN for libraries and
tools which are not "native" to CPAN. Alien modules will typically use the
system libraries if they are available, or download the latest version from
the internet and build them from source code. These libraries can then be
used by other Perl modules, usually modules that are implemented with XS or FFI.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2017-08-14 10:58:42 EDT
Alien-Base and Alien-Build were merge into Alien-Build.

More information:
https://metacpan.org/source/PLICEASE/Alien-Build-0.95/Changes#L134

0.67_01   2017-07-18 13:52:56 -0400
  - Merged Alien-Base and Alien-Build.  For the old Test-Alien change log
    see Changes.Alien-Base

Please closed this review and update package review BZ#1474425

Note You need to log in before you can comment on or make changes to this bug.